#ifndef __FIONAIOC_HAL_H___
#define __FIONAIOC_HAL_H___

#include <linux/config.h>
#include "ioc_hal.h"
#include <asm/arch/fiona.h>

// Define to "0" to block, O_NONBLOCK to not block
#define SERIAL_STREAM_FLAGS     (O_NONBLOCK)

// The BTUART maps to S0 on Fiona
#define BTUART_SERIAL_PORT_NAME     "/dev/ttyS0"

// The IOC talks serial at 9600, 8, 1, and No Parity
#define IOC_SERIAL_BAUD_RATE    B9600

#define IOC_NO_RESPONSE_CMDS_MDELAY 5           // 5 Msec delay per cmd byte
#define IOC_RECEIVE_TIMEOUT (5 * OSCR_SECONDS)  // 5 second timeout
#define IOC_SEND_TIMEOUT    (4 * OSCR_SECONDS)  // 4 second timeout

// Time to hold HW reset line to IOC high for IOC to reset 
#define IOC_HW_RESET_ASSERT_TIME    (2 * OSCR_USECONDS) // 2 uSec

// Time to wait after HW reset of IOC before communicating with IOC
#define IOC_HW_POST_RESET_TIME      (200 * OSCR_MSECONDS) // 90 mSec

// Time between logging system voltage - once per hour
#define VOLTAGE_LOGGING_FREQUENCY_SECS  (60 * 60)

// Prototypes
#ifdef CONFIG_IOC_KEYBOARD
extern void fiona_kbd_report_key(int scancode, int pressed);
#endif

extern void dprint_fiona_packet(struct fiona_struct *k, char *debug_str);
extern void __do_full_init_uart(void);

#endif  // __FIONAIOC_HAL_H___
