/*
 *  Gumstix USB gadget intialization driver
 *
 *  Author:     Craig Hughes
 *  Created:    December 9, 2004
 *  Copyright:  (C) 2004 Craig Hughes
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */

#include <linux/module.h>

#include <asm/hardware.h>
#include <asm/arch/pxa-regs.h>
#include <asm/delay.h>
#include <asm/irq.h>

#include <asm/arch/gumstix.h>
#include <asm/arch/udc.h>

int __init gumstix_usb_gadget_init(void)
{
	pxa_gpio_mode(GPIO_GUMSTIX_USB_GPIOx_DIS_MD);
	pxa_gpio_mode(GPIO_GUMSTIX_USB_GPIOn_MD);

	set_irq_type(GUMSTIX_USB_INTR_IRQ, IRQT_BOTHEDGE);
	
	return 0;
}

void __exit gumstix_usb_gadget_exit(void)
{
}

void gumstix_usb_gadget_load(void) {}
EXPORT_SYMBOL(gumstix_usb_gadget_load);

module_init(gumstix_usb_gadget_init);
module_exit(gumstix_usb_gadget_exit);

MODULE_LICENSE("GPL");
MODULE_AUTHOR("Craig Hughes <craig@gumstix.com>");
MODULE_DESCRIPTION("Gumstix board USB gadget initialization driver");
MODULE_VERSION("1:0.1");
