#include "common_source_island/boot_globals.h"

#define BOOTLOADER_STATUS_FAIL  0x6C696166  // Complete failure, resorted to recovery bootloader.
#define BOOTLOADER_STATUS_PASS  0x73736170  // Booting from recovery bootloader manually.
#define BOOTLOADER_STATUS_LIMP  0x706D696C  // Booting from one of the spare bootloaders.
#define BOOTLOADER_STATUS_BOOT  0x746F6F62  // Booting normally.

#define BOOTLOADER_LIMP_SPARE1  1           // Running from bootloader spare1.
#define BOOTLOADER_LIMP_SPARE2  2           // Running from bootloader spare2.

#ifdef CONFIG_USE_STATIC_WATERMARKS
#define WATERMARK_UPDT()        FIONA_WATERMARK_UPDT
#define WATERMARK_BOOT()        FIONA_WATERMARK_LOW
#define WATERMARK_ALRT()        FIONA_WATERMARK_CRIT
#else
#define WATERMARK_UPDT()        (get_battery_watermarks()->stage[BAT_LEVEL_UPDT])
#define WATERMARK_BOOT()        (get_battery_watermarks()->stage[BAT_LEVEL_LOW])
#define WATERMARK_ALRT()        (get_battery_watermarks()->stage[BAT_LEVEL_CRIT])
#endif

extern void init_boot_globals(void);
extern void reboot_boot_globals(void);
extern void clear_boot_keys(void);

extern void set_bootloader_status(unsigned long bootloader_status);
extern unsigned long get_bootloader_status(void);

extern void set_bootloader_messsage(unsigned long bootloader_messsage);
extern unsigned long get_bootloader_messsage(void);

extern void set_bootblock_version(unsigned long bootblock_version);
extern unsigned long get_bootblock_version(void);

extern void set_build_rev(char *build_rev);
extern char *get_build_rev(void);

extern void set_boot_ioc_key(int boot_ioc_key);
extern int get_boot_ioc_key(void);

extern void set_boot_key(int boot_key);
extern int get_boot_key(void);

extern void set_boot_recover(int boot_recover);
extern int get_boot_recover(void);

extern void set_boot_screen(int boot_screen);
extern int get_boot_screen(void);

extern void set_serial_num(char *serial_num);
extern char *get_serial_num(void);
